# Generated by Django 3.2.13 on 2022-06-21 21:29

from django.db import migrations
import logging

logger = logging.getLogger("awx")


def forwards(apps, schema_editor):
    InventorySource = apps.get_model('main', 'InventorySource')
    sources = InventorySource.objects.filter(update_on_project_update=True)
    for src in sources:
        if src.update_on_launch == False:
            src.update_on_launch = True
            src.save(update_fields=['update_on_launch'])
            logger.info(f"Setting update_on_launch to True for {src}")
        proj = src.source_project
        if proj and proj.scm_update_on_launch is False:
            proj.scm_update_on_launch = True
            proj.save(update_fields=['scm_update_on_launch'])
            logger.warning(f"Setting scm_update_on_launch to True for {proj}")


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0163_convert_job_tags_to_textfield'),
    ]

    operations = [
        migrations.RunPython(forwards, migrations.RunPython.noop),
        migrations.RemoveField(
            model_name='inventorysource',
            name='scm_last_revision',
        ),
        migrations.RemoveField(
            model_name='inventorysource',
            name='update_on_project_update',
        ),
    ]
